Create a project budget expense
curl --request POST \
--url https://www.ruddr.io/api/workspace/project-budget-expenses \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"projectId": "<string>",
"expenseCategoryId": "<string>",
"billableAmount": 123,
"nonBillableAmount": 123,
"notes": "<string>"
}
'import requests
url = "https://www.ruddr.io/api/workspace/project-budget-expenses"
payload = {
"projectId": "<string>",
"expenseCategoryId": "<string>",
"billableAmount": 123,
"nonBillableAmount": 123,
"notes": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
projectId: '<string>',
expenseCategoryId: '<string>',
billableAmount: 123,
nonBillableAmount: 123,
notes: '<string>'
})
};
fetch('https://www.ruddr.io/api/workspace/project-budget-expenses', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "f29c3d71-8a45-4b0e-96e1-d5b7a2c84f03",
"billableAmount": 3200,
"nonBillableAmount": 800,
"createdAt": "2026-02-10T14:25:33.718Z",
"project": {
"id": "71e4b903-2c68-4f1a-a5d9-b0f37e8c2d16",
"name": "Mobile App Development",
"client": {
"id": "9a3f6c12-e758-40b4-d2a1-c8e5b7f09d34",
"name": "Globex Industries"
}
},
"expenseCategory": {
"id": "e7b21c84-3f09-4a6d-815e-d9c4f0a72b53",
"name": "Software Licenses"
}
}Project Budget Expenses
Create a project budget expense
POST
/
project-budget-expenses
Create a project budget expense
The budget for an expense category on a project. Only available for projects that are using a budget and the budget mode is either “detailed” or “aggregated”.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
The ID (uuid) of the project this budget expense belongs to.
The ID (uuid) of the expense category for this budget expense.
The total billable amount for the expense category.
The total non-billable amount for the expense category.
Notes about this budget expense. Maximum 5000 characters.
Response
200
The unique identifier for the object.
The total billable amount for the expense category. null when the project is non-billable.
The total non-billable amount for the expense category.
The timestamp when the object was created.
The project this budget expense belongs to.
Show child attributes
Show child attributes
The expense category for this budget expense.
Show child attributes
Show child attributes
⌘I